/* universal */

:root {
    --el: #002142;
    --sec: #123253;
    --tri: #234364;

    --blue: #006fda;
    --green: #00d44e;
}

* {
    margin: 0;
    gap: 0;

    transition: all 0.1s;
}

a {
    color: inherit;
    text-decoration: none;
}
a:hover {
    color: #aaa;
}

button {
    color: #fff;
    background-color: var(--el);

    font-weight: bold;

    border: none;
    border-radius: 10px;
}
button:hover {
    background-color: var(--sec);
}

body {
    font-family: 'Magistral', sans-serif;
    font-weight: bold;

    display: flex;

    color: #fff;
    background-image: linear-gradient(to top, #10172a, #121a3b);
}
main {
    flex: 1;
}

/* header */

header {
    background-color: #002142;

    width: 300px;
    height: 100vh;

    font-size: 80%;

    display: flex;
    align-items: center;
    flex-direction: column;
}

header #selected {
    background-color: var(--blue);
}

header .head {
    margin: 10px 0 10px 0;
}

header a {
    display: flex;
    align-items: center;
}

header img {
    width: 20%;
    height: auto;
}

header hr {
    width: 99%;
    margin-top: 10px;
    margin-bottom: 10px;
    
    border: 1px solid;
    border-color: #789;
}

#account {
    gap: 10px;
    margin-top: auto;
    margin-bottom: 30px;
}

.accountimg {
    width: 40px;
    height: 40px;
}

nav {
    gap: 20px;
    display: flex;
    margin-top: 50px;
    margin-bottom: 50px;
    flex-direction: column;
}

nav a {
    width: 300px;
    height: 30px;

    display: flex;
    align-items: center;
    text-align: center;
}

nav h3 {
    margin: auto;
}

nav a:hover {
    color: #fff;
    background-color: #08528e;
}

/* gen universal */

.noaccess {
    display: flex;
}

/* homepage / dashboard */

.dashboard {
    display: flex;
    margin-top: 50px;
    align-items: center;
    flex-direction: column;
}

.loggedin {
    display: none;
}